#include <iostream>
#include <vector>
#include <algorithm>
#include <ios>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
	
	long long n,q;
	cin>>n>>q;
	
	vector<long long> d(n);
	vector<long long> p(n);
	for(int i=0;i<n;i++){
		cin>>d[i]>>p[i];
	}
	vector<long long> k(q);
	for(int i=0;i<q;i++){
		cin>>k[i];
	}
	vector<long long> sum(n);
	sum[0] = p[0];
	for(int i=1;i<n;i++){
		sum[i] = sum[i-1] + p[i];
	}
	for(int i=0;i<q;i++){
		long long dani = k[i];
		long long rez = 0;
		for(int j=0;j<n;j++){
			if(d[j] <= dani){
				rez = sum[j];
			} else{
				break;
			}
		}
		cout<<rez<<'\n';
	}
	return 0;
}